Bug 545701 - [kn_IN] Pango doesn't render 0c95+0ccd+0c95+0c97 combination properly
[kn_IN] Pango doesn't render 0c95+0ccd+0c95+0c97 combination properly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: i18n, MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-09 01:07 EST by Shankar Prasad
Modified: 2015-04-21 00:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-08 17:00:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
shows the actual and correct rendering (36.87 KB, image/png)
2009-12-09 01:07 EST, Shankar Prasad
no flags Details
shows the actual and correct rendering (35.46 KB, image/png)
2009-12-14 02:04 EST, Shankar Prasad
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 604060 None None None Never

  None (edit)
Description Shankar Prasad 2009-12-09 01:07:08 EST
Created attachment 377107 [details]
shows the actual and correct rendering

Description of problem:
Pango doesn't render a particular character combination properly.

Version-Release number of selected component (if applicable):
1.26.0-1.fc12

How reproducible:
Always

Steps to Reproduce:
1.Enable the Kannada support
2. Select the "inscript" layout from ibus menu, and type the following key combination: j+d+j+>
           OR
Select "other-rawcode" from ibus menu and type the following key combination
    0c95+0ccd+0c95+0c97

  
Actual results:
ಕ್ಕಷ

Expected results:
As shown in the attached image

Additional info:
Reported upstream at https://bugzilla.gnome.org/show_bug.cgi?id=604060
Comment 1 Shankar Prasad 2009-12-14 02:04:35 EST
Created attachment 378152 [details]
shows the actual and correct rendering

The earlier screenshot had some errors. Here is the correct one.
Comment 2 Bug Zapper 2010-03-15 09:31:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Akira TAGOH 2011-05-24 08:41:03 EDT
Does this issue still persist in f15?
Comment 4 Shankar Prasad 2011-05-25 01:37:28 EDT
Yes, this issue still exists.

I tested with following pango and lohit-kannada components:

pango-1.28.1-5.fc14.x86_64
lohit-kannada-fonts-2.4.5-4.fc14.noarch


Shankar
Comment 5 Fedora Admin XMLRPC Client 2012-01-10 10:43:17 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2013-04-03 14:48:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Matthias Clasen 2013-04-08 17:00:54 EDT
this bug has been obsoleted by the pango port to harfbuzz

Note You need to log in before you can comment on or make changes to this bug.